import { githubDefaultLabels } from "github-default-labels";
import { inputFromOctokit } from "../inputs/inputFromOctokit.js";
async function getExistingLabels(take, owner, repository) {
  const existingLabelsActual = owner && repository && await take(inputFromOctokit, {
    endpoint: "GET /repos/{owner}/{repo}/labels",
    options: {
      owner,
      repo: repository
    }
  });
  if (existingLabelsActual) {
    return existingLabelsActual.map((label) => ({
      color: label.color,
      description: label.description,
      name: label.name
    }));
  }
  return githubDefaultLabels;
}
export {
  getExistingLabels
};
